<div class="rm-events-wrapper">

  <h3 *ngIf="project">Activity for {{ project.name }}</h3>

  <div class="rm-event" *ngFor="let event of events">

    <div class="rm-event-meta">
      <div class="rm-event-meta-author" *ngIf="event.author">{{ event.author.name }}</div>
      <div class="rm-event-meta-date">{{event.created_at | date:'dd.MM.YYYY HH:mm'}}</div>
    </div>

    <div class="rm-event-description">
      <ng-container *ngIf="event.author">(@{{event.author.username}})</ng-container> {{ getActionLabelFromName(event.action_name!) }}
      <ng-container *ngIf="event.note?.noteable_iid">issue {{event.note?.noteable_iid}}</ng-container>
    </div>
    <div *ngIf="detailed" class="rm-event-details">
      <span class="note note-task-created" *ngIf="event.target_title">{{ event.target_title }}</span>
      <div class="note note-comment"><markdown *ngIf="event.note && event.note.body">{{event.note.body}}</markdown></div>
      <span class="note note-push-data" *ngIf="event.push_data">{{ event.push_data.commit_title }}</span>  
    </div>

    <div class="rm-event-project" *ngIf="!detailed">
      {{getProjectFromId(event.project_id!)?.name}}
    </div>

    
  </div>
</div>